# lemnisk_plugin
This project is the Lemnisk Plugin for track events, capture screen view, identify users on Flutter based Apps,
it is also integrated with following destinations in device mode:
1. GA4
2. AppsFlyer
3. Clevertap

## Getting Started
import 'package:lemnisk_plugin/AttributeBuilder.dart';
import 'package:lemnisk_plugin/LemniskFlutterCore.dart';
import 'package:lemnisk_plugin/LemniskHelper.dart';

LemniskHelper.configure(SERVER_URL, WRITE_KEY, lemniskFirebaseCore, lemniskApsflyer, lemniskCleverTapCore);

Check the example for more details.

###For Clevertap Destination Integration, please add following configuration:
####Android:
Please add below config after replacing value with actual Clevertap Account id, Token  in AndroidManifest.xml
```xml
<meta-data
android:name="CLEVERTAP_ACCOUNT_ID"
android:value="XXX-XXX-XXXX"/>
<meta-data
android:name="CLEVERTAP_TOKEN"
android:value="XXX-XXX-XXX"/>
<meta-data
android:name="CLEVERTAP_USE_GOOGLE_AD_ID"
android:value="1"/>
```

####iOS:
Please add below config after replacing value with actual Clevertap Account id, Token  in Info.plist
i. Add property `CleverTapAccountID` as String and set it's value.
ii. Add property `CleverTapToken` as String and set it's value.
